x11/qt4-tools - The NetBSD Packages Collection

QT GUI (WYSIWYG) builder and other tools

This package contains tools from the Qt4 Graphical User Interface
toolkit. This includes Qt Designer; Qt Linguist, lupdate and lrelease
for translating international applications; qm2ts for converting
old .qm ii18n message files; Qt Assistant for finding help; qtconfig
configuration tool (with online help); uic, the User Interface
Compiler; and qmake for creating Makefiles from simple platform-independent
project files.

Qt Designer accelerates GUI application development and maintenance by
offering a WYSIWYG (What You See Is What You Get) drag and drop interface
for UI creation and maintenance. Qt Designer employs a vendor neutral,
XML-format for persistent storage, which simplifies the tasks involved
with the creation and layout of dialogs.

Build dependencies

pkgtools/x11-links x11/xorgproto x11/xcb-proto pkgtools/cwrappers devel/libtool-base devel/gmake

Runtime dependencies

devel/libtool-base x11/qt4-libs x11/qt4-libs x11/qt4-libs

Binary packages

OSArchitectureVersion
NetBSD 8.0earmv7hfqt4-tools-4.8.7nb6.tgz
NetBSD 8.0earmv7hfqt4-tools-4.8.7nb6.tgz
NetBSD 8.0earmv7hfqt4-tools-4.8.7nb6.tgz
NetBSD 8.0earmv7hfqt4-tools-4.8.7nb7.tgz
NetBSD 8.0i386qt4-tools-4.8.7nb6.tgz
NetBSD 8.0i386qt4-tools-4.8.7nb6.tgz
NetBSD 8.0i386qt4-tools-4.8.7nb6.tgz
NetBSD 8.0i386qt4-tools-4.8.7nb7.tgz
NetBSD 8.0powerpcqt4-tools-4.8.7nb6.tgz
NetBSD 8.0powerpcqt4-tools-4.8.7nb6.tgz
NetBSD 8.0powerpcqt4-tools-4.8.7nb6.tgz
NetBSD 8.0powerpcqt4-tools-4.8.7nb7.tgz
NetBSD 8.0powerpcqt4-tools-4.8.7nb7.tgz
NetBSD 8.0x86_64qt4-tools-4.8.7nb6.tgz
NetBSD 8.0x86_64qt4-tools-4.8.7nb6.tgz
NetBSD 8.0x86_64qt4-tools-4.8.7nb6.tgz
NetBSD 8.0x86_64qt4-tools-4.8.7nb7.tgz
NetBSD 9.0aarch64qt4-tools-4.8.7nb7.tgz
NetBSD 9.0aarch64qt4-tools-4.8.7nb6.tgz
NetBSD 9.0aarch64qt4-tools-4.8.7nb6.tgz
NetBSD 9.0aarch64qt4-tools-4.8.7nb6.tgz
NetBSD 9.0aarch64qt4-tools-4.8.7nb7.tgz
NetBSD 9.0alphaqt4-tools-4.8.7nb7.tgz
NetBSD 9.0alphaqt4-tools-4.8.7nb6.tgz
NetBSD 9.0alphaqt4-tools-4.8.7nb7.tgz
NetBSD 9.0earmqt4-tools-4.8.7nb6.tgz
NetBSD 9.0earmqt4-tools-4.8.7nb7.tgz
NetBSD 9.0earmv6hfqt4-tools-4.8.7nb7.tgz
NetBSD 9.0earmv6hfqt4-tools-4.8.7nb6.tgz
NetBSD 9.0earmv6hfqt4-tools-4.8.7nb6.tgz
NetBSD 9.0earmv6hfqt4-tools-4.8.7nb6.tgz
NetBSD 9.0earmv6hfqt4-tools-4.8.7nb6.tgz
NetBSD 9.0earmv6hfqt4-tools-4.8.7nb7.tgz
NetBSD 9.0earmv7hfqt4-tools-4.8.7nb7.tgz
NetBSD 9.0earmv7hfqt4-tools-4.8.7nb6.tgz
NetBSD 9.0earmv7hfqt4-tools-4.8.7nb6.tgz
NetBSD 9.0earmv7hfqt4-tools-4.8.7nb6.tgz
NetBSD 9.0earmv7hfqt4-tools-4.8.7nb6.tgz
NetBSD 9.0earmv7hfqt4-tools-4.8.7nb6.tgz
NetBSD 9.0earmv7hfqt4-tools-4.8.7nb7.tgz
NetBSD 9.0earmv7hfqt4-tools-4.8.7nb7.tgz
NetBSD 9.0i386qt4-tools-4.8.7nb6.tgz
NetBSD 9.0i386qt4-tools-4.8.7nb6.tgz
NetBSD 9.0i386qt4-tools-4.8.7nb6.tgz
NetBSD 9.0i386qt4-tools-4.8.7nb7.tgz
NetBSD 9.0m68kqt4-tools-4.8.7nb6.tgz
NetBSD 9.0m68kqt4-tools-4.8.7nb6.tgz
NetBSD 9.0powerpcqt4-tools-4.8.7nb7.tgz
NetBSD 9.0powerpcqt4-tools-4.8.7nb6.tgz
NetBSD 9.0powerpcqt4-tools-4.8.7nb6.tgz
NetBSD 9.0powerpcqt4-tools-4.8.7nb6.tgz
NetBSD 9.0powerpcqt4-tools-4.8.7nb7.tgz
NetBSD 9.0sparc64qt4-tools-4.8.7nb7.tgz
NetBSD 9.0sparc64qt4-tools-4.8.7nb6.tgz
NetBSD 9.0sparc64qt4-tools-4.8.7nb7.tgz
NetBSD 9.0sparcqt4-tools-4.8.7nb7.tgz
NetBSD 9.0sparcqt4-tools-4.8.7nb6.tgz
NetBSD 9.0sparcqt4-tools-4.8.7nb6.tgz
NetBSD 9.0sparcqt4-tools-4.8.7nb6.tgz
NetBSD 9.0sparcqt4-tools-4.8.7nb7.tgz
NetBSD 9.0x86_64qt4-tools-4.8.7nb7.tgz
NetBSD 9.0x86_64qt4-tools-4.8.7nb7.tgz
NetBSD 9.0x86_64qt4-tools-4.8.7nb6.tgz
NetBSD 9.0x86_64qt4-tools-4.8.7nb6.tgz
NetBSD 9.0x86_64qt4-tools-4.8.7nb6.tgz
NetBSD 9.0x86_64qt4-tools-4.8.7nb7.tgz
NetBSD 9.0x86_64qt4-tools-4.8.7nb7.tgz

Binary packages can be installed with the high-level tool pkgin (which can be installed with pkg_add) or pkg_add(1) (installed by default). The NetBSD packages collection is also designed to permit easy installation from source.

Available build options

cups
Enable cups (Common UNIX Printing System) support.
debug
Enable debugging facilities in the package.
gtk2
Enable support for GTK2.

Known vulnerabilities

The pkg_admin audit command locates any installed package which has been mentioned in security advisories as having vulnerabilities.

Please note the vulnerabilities database might not be fully accurate, and not every bug is exploitable with every configuration.


Problem reports, updates or suggestions for this package should be reported with send-pr.